AudioFileFormat.Type (Java SE 12 & JDK 12 )
Keywords: javax.sound.sampled.AudioFileFormat.Type class

Module java.desktop
Package javax.sound.sampled

## Class AudioFileFormat.Type

- java.lang.Object
- - javax.sound.sampled.AudioFileFormat.Type

- Enclosing class:
    AudioFileFormat

      public static class AudioFileFormat.Type
      extends Object

  An instance of the `Type` class represents one of the standard types of audio file. Static instances are provided for the common types.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AudioFileFormat.Type` | `AIFC` | Specifies an AIFF-C file.
    `static AudioFileFormat.Type` | `AIFF` | Specifies an AIFF file.
    `static AudioFileFormat.Type` | `AU` | Specifies an AU file.
    `static AudioFileFormat.Type` | `SND` | Specifies a SND file.
    `static AudioFileFormat.Type` | `WAVE` | Specifies a WAVE file.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Type​(String name, String extension)` | Constructs a file type.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` | Indicates whether the specified object is equal to this file type, returning `true` if the objects are equal.
    `String` | `getExtension()` | Obtains the common file name extension for this file type.
    `int` | `hashCode()` | Returns a hash code value for this file type.
    `String` | `toString()` | Provides the file type's name as the `String` representation of the file type.

    - ### Methods declared in class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### WAVE

          public static final AudioFileFormat.Type WAVE

      Specifies a WAVE file.

    - #### AU

          public static final AudioFileFormat.Type AU

      Specifies an AU file.

    - #### AIFF

          public static final AudioFileFormat.Type AIFF

      Specifies an AIFF file.

    - #### AIFC

          public static final AudioFileFormat.Type AIFC

      Specifies an AIFF-C file.

    - #### SND

          public static final AudioFileFormat.Type SND

      Specifies a SND file.

  - ### Constructor Detail

    - #### Type

          public Type​(String name,
                      String extension)

      Constructs a file type.
      Parameters:
        `name` - the string that names the file type
        `extension` - the string that commonly marks the file type without leading dot

  - ### Method Detail

    - #### equals

          public final boolean equals​(Object obj)

      Indicates whether the specified object is equal to this file type, returning `true` if the objects are equal.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the reference object with which to compare
      Returns:
        `true` if the specified object is equal to this file type; `false` otherwise
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### hashCode

          public final int hashCode()

      Returns a hash code value for this file type.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code value for this file type
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

    - #### toString

          public final String toString()

      Provides the file type's name as the `String` representation of the file type.
      Overrides:
        `toString` in class `Object`
      Returns:
        the file type's name

    - #### getExtension

          public String getExtension()

      Obtains the common file name extension for this file type.
      Returns:
        file type extension